Download it now!
Bug 125125 - Undoing autoformat does not preserve text
Summary: Undoing autoformat does not preserve text
Status: RESOLVED INSUFFICIENTDATA
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
6.3.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: AutoCorrect-Complete Undo-Redo
  Show dependency treegraph
 
Reported: 2019-05-05 15:02 UTC by Urmas
Modified: 2019-12-05 04:27 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Urmas 2019-05-05 15:02:29 UTC
If typing a certain character like * has caused the autoformat to be applied, undoing it does not restore the typed character. Autoformat should make two undo actions: for typing the trigger character, and the formatting itself.
Comment 1 Dieter 2019-05-07 12:25:36 UTC
(In reply to Urmas from comment #0)
> If typing a certain character like * has caused the autoformat to be
> applied

Urmas, I assume, your bug is about autocorrect. If it is about autoformat, I don't understand it.
Comment 2 Timur 2019-05-07 14:57:42 UTC
Please write steps and attach sample document.
Comment 3 QA Administrators 2019-11-04 03:29:12 UTC Comment hidden (obsolete)
Comment 4 QA Administrators 2019-12-05 04:27:06 UTC
Dear Urmas,

Please read this message in its entirety before proceeding.

Your bug report is being closed as INSUFFICIENTDATA due to inactivity and
a lack of information which is needed in order to accurately
reproduce and confirm the problem. We encourage you to retest
your bug against the latest release. If the issue is still
present in the latest stable release, we need the following
information (please ignore any that you've already provided):

a) Provide details of your system including your operating
   system and the latest version of LibreOffice that you have
   confirmed the bug to be present

b) Provide easy to reproduce steps – the simpler the better

c) Provide any test case(s) which will help us confirm the problem

d) Provide screenshots of the problem if you think it might help

e) Read all comments and provide any requested information

Once all of this is done, please set the bug back to UNCONFIRMED
and we will attempt to reproduce the issue. Please do not:

a) respond via email 

b) update the version field in the bug or any of the other details
   on the top section of our bug tracker

Warm Regards,
QA Team

MassPing-NeedInfo-FollowUp